// Quick Context
// By Todd Long <longfocus@gmail.com>
// http://www.longfocus.com/firefox/quickcontext/

var gOverlayQC = {
  load: function()
  {
    // Add listeners
    getBrowser().addEventListener("click", gOverlayQC.checkSelected, true);
    getBrowser().addEventListener("mouseup", gOverlayQC.checkMouseDrag, true);
  },
  
  unload: function()
  {
    // Remove listeners
    getBrowser().removeEventListener("click", gOverlayQC.checkSelected, true);
    getBrowser().removeEventListener("mouseup", gOverlayQC.checkMouseDrag, true);
  },
  
  checkMouseDrag: function(aEvent)
  {
    if (aEvent.detail == 0)
      gOverlayQC.checkSelected(aEvent);
  },
  
  checkSelected: function(aEvent)
  {
    // Type of event
    var type = aEvent.type;
    
    // Gets the selected text
    var cw = document.commandDispatcher.focusedWindow;
    var wrap = new XPCNativeWrapper(cw, 'document', 'getSelection()');
    var sel = wrap.getSelection();
    
    // Checks for selected text
    if (getBranchQC().getBoolPref("enabled") && sel != "")
    {
      // Sets the popupNode to the content page
      document.popupNode = aEvent.originalTarget;
      
      // Gets the context popup element
      var o = document.getElementById("contentAreaContextMenu");
      
      // Displays the context menu where we clicked
      o.showPopup(aEvent.target, aEvent.clientX, aEvent.clientY + 10,
        "context", "bottomleft", "topleft");
    }
  }
}