// Quick Context
// By Todd Long <longfocus@gmail.com>
// http://www.longfocus.com/firefox/quickcontext/

const QUICKCONTEXT_BRANCH = "longfocus.quickcontext.";
const QUICKCONTEXT_WEBSITE = "http://www.longfocus.com/firefox/quickcontext/";

function getBranchQC() {
  // Returns the Quick Context preferences branch
  return Components.classes["@mozilla.org/preferences-service;1"]
           .getService(Components.interfaces.nsIPrefService)
           .getBranch(QUICKCONTEXT_BRANCH);
}

function getVersionQC() {
  var myGUID = "{d1a46ca0-999d-11da-a72b-0800200c9a66}";
  var em = Components.classes["@mozilla.org/extensions/manager;1"].getService(Components.interfaces.nsIExtensionManager);
  var ext = null;
  
  if (em.getItemForID)
    ext = em.getItemForID(myGUID);
   else
    ext = em.getItemList(myGUID, null, {})[0];
  
  return ext.version;
}

function getDaBrowser() {
  var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"].getService(Components.interfaces.nsIWindowMediator);
  return wm.getMostRecentWindow("navigator:browser");
}

function visitSiteQC() {
  var ioService = Components.classes["@mozilla.org/network/io-service;1"].createInstance(Components.interfaces.nsIIOService);
  var refString = QUICKCONTEXT_WEBSITE + "v/" + getVersionQC() + "/";
  var refUri = ioService.newURI(refString, null, null);
  
  getDaBrowser().document.getElementById("content").addTab(QUICKCONTEXT_WEBSITE, refUri);
}