// Gmail Manager
// By Todd Long <longfocus@gmail.com>
// http://www.longfocus.com/firefox/gmanager/

const DISPLAY_NAME	= "Quick Context";
const ID			= "{d1a46ca0-999d-11da-a72b-0800200c9a66}";
const NAME			= "quickcontext";
const KEY			= "/quickcontext";
const VERSION		= "0.1.1";
const JAR_FILE		= NAME + ".jar";

initInstall(NAME, KEY, VERSION);

var mainDir = getFolder("Profile", "extensions/" + ID);
var chromeDir = getFolder(mainDir, "chrome");
var defaultsDir = getFolder(mainDir, "defaults");
var programDir = getFolder("Program");
var componentsDir = getFolder("Components");
var jarDir = getFolder(chromeDir, JAR_FILE);

// Adds chrome/quickcontext.jar
addFile(KEY, VERSION, "chrome/" + JAR_FILE, chromeDir, null);

// Adds defaults/preferences/quickcontext.js
addDirectory(KEY, VERSION, "defaults", defaultsDir, null);
defaultsDir = getFolder(getFolder("Program", "defaults"), "pref");
addFile(KEY, VERSION, "defaults/preferences/defaults.js", defaultsDir, null);

// Content and Skin
registerChrome(CONTENT | PROFILE_CHROME, jarDir, "content/");
registerChrome(SKIN | PROFILE_CHROME, jarDir, "skin/classic/");

// Locales
registerChrome(LOCALE | PROFILE_CHROME, jarDir, "locale/en-US/");

// Checks that for success so far
if (getLastError() == SUCCESS) {
  var err = performInstall();
  
  if (err == SUCCESS)
    alert(DISPLAY_NAME + " " + VERSION + " installed successfully!\n" +
            "Please restart to enable the extension.");
}
else
  cancelInstall();
